php安装错误

我已经安装了’WampServer2.1e-x32’堆栈和插件版本的php 5.2.11.我下载了apc3.0.19.dll并将其放在php.ini目录和所需信息下.使它工作.

重新启动wamp服务器并导航到phpmyadmin,这里有一些我从未见过的错误:(.

Notice: Unknown: 1. h->opened_path=[null] h->filename=[C:/wamp/apps/phpmyadmin3.3.9/index.php] in Unknown on line 0

Notice: Unknown: 2. h->opened_path=[C:\wamp\apps\phpmyadmin3.3.9\index.php] h->filename=[C:/wamp/apps/phpmyadmin3.3.9/index.php] in Unknown on line 0

Notice: Unknown: apc_cache_make_file_entry: entry->data.file.filename is [C:\wamp\apps\phpmyadmin3.3.9\index.php] in Unknown on line 0

Notice: Unknown: Inserting [C:\wamp\apps\phpmyadmin3.3.9\index.php] in Unknown on line 0

Notice: require_once() [function.require-once]: 1. h->opened_path=[C:\wamp\apps\phpmyadmin3.3.9\libraries\common.inc.php] h->filename=[./libraries/common.inc.php] in C:\wamp\apps\phpmyadmin3.3.9\index.php on line 35

Notice: require_once() [function.require-once]: 2. h->opened_path=[C:\wamp\apps\phpmyadmin3.3.9\libraries\common.inc.php] h->filename=[./libraries/common.inc.php] in C:\wamp\apps\phpmyadmin3.3.9\index.php on line 35

Notice: require_once() [function.require-once]: apc_cache_make_file_entry: entry->data.file.filename is [C:\wamp\apps\phpmyadmin3.3.9\libraries\common.inc.php] in C:\wamp\apps\phpmyadmin3.3.9\index.php on line 35

Notice: require_once() [function.require-once]: Inserting [C:\wamp\apps\phpmyadmin3.3.9\libraries\common.inc.php] in C:\wamp\apps\phpmyadmin3.3.9\index.php on line 35

Notice: require_once() [function.require-once]: 1. h->opened_path=[C:\wamp\apps\phpmyadmin3.3.9\libraries\Error_Handler.class.php] h->filename=[./libraries/Error_Handler.class.php] in C:\wamp\apps\phpmyadmin3.3.9\libraries\common.inc.php on line 53

Notice: require_once() [function.require-once]: Stat failed ./libraries/Error_Handler.class.php - bailing (C:/wamp/apps/phpmyadmin3.3.9/index.php) (1310476968) in C:\wamp\apps\phpmyadmin3.3.9\libraries\common.inc.php on line 53

Notice: require_once() [function.require-once]: 1. h->opened_path=[C:\wamp\apps\phpmyadmin3.3.9\libraries\Error.class.php] h->filename=[./libraries/Error.class.php] in C:\wamp\apps\phpmyadmin3.3.9\libraries\Error_Handler.class.php on line 13

Notice: require_once() [function.require-once]: Stat failed ./libraries/Error.class.php - bailing (C:/wamp/apps/phpmyadmin3.3.9/index.php) (1310476968) in C:\wamp\apps\phpmyadmin3.3.9\libraries\Error_Handler.class.php on line 13

Notice: require_once() [function.require-once]: 1. h->opened_path=[C:\wamp\apps\phpmyadmin3.3.9\libraries\Message.class.php] h->filename=[./libraries/Message.class.php] in C:\wamp\apps\phpmyadmin3.3.9\libraries\Error.class.php on line 13

Notice: require_once() [function.require-once]: Stat failed ./libraries/Message.class.php - bailing (C:/wamp/apps/phpmyadmin3.3.9/index.php) (1310476968) in C:\wamp\apps\phpmyadmin3.3.9\libraries\Error.class.php on line 13

我已经卸载它并重新安装它但仍然收到此错误!!我想运行php 5.2.11和APC,我不知道为什么phpmyadmin受到影响!

我尝试了不同版本的APC [php_apc-3.1.5-5.2-vc6-x86],最后得到了正确的一个似乎在PHP [php_apc_3_0_19.dll]工作,它只是直接影响我的phpmyadmin …

我将再次卸载,删除所有与wamp相关的文件并开始新鲜……但我对APC的了解非常有限……我可能认为完全是不同的方向…

任何有助于解决以下问题的帮助都非常感谢…

对于user269867来说有点晚了,但我找到了一个解决方案(APC 3.1.9 / 3.1.13):

你也可以这样说:

https://bugs.php.net/bug.php?id=59445

在哪里说:

“如果编译不是一个选项,请回滚到稳定版:pecl install -f APC-3.1.6”

这确实是一个回归,但它对我来说很好:)

(我也在APC (Alternate PHP Cache) Throwing Lots of PHP Notices回复)

相关文章
相关标签/搜索